/* Installation of FC/2                    */
/* Add the FC/2 files to this directory    */
/* 08.12.2001: added removal of RO attribs */

parse arg target source

/* get additional parameters from environment */
product_log       = value("PRODUCT_LOG"      , ,"OS2ENVIRONMENT")
product_drv       = value("PRODUCT_DRV"      , ,"OS2ENVIRONMENT")
product_path      = value("PRODUCT_PATH"     , ,"OS2ENVIRONMENT")
inst_dir          = value("INST_DIR"         , ,"OS2ENVIRONMENT")

if stream(inst_dir'\fc.exe', 'c', 'query exists') = '' then exit 9

/* copy files */
dest_dir = product_drv'\'product_path
'xcopy 'inst_dir'\* 'dest_dir'\. >> 'product_log
'del 'dest_dir'\addonins.cmd >> 'product_log

/* remove RO attributes */
call RxFuncAdd SysFileTree, RexxUtil, SysFileTree
call SysFileTree dest_dir'\*', 'tmp.', 'SO',,'**---'

/* create objects */
cdir = directory()
rc   = directory(dest_dir)
dest_dir'\setup.exe >> 'product_log
rc   = directory(cdir)

exit
