/* EMX run-time install script                                           */
/* Unzip emxrt.zip in this direcorty                                     */
/* 06.02.2001: files are now expected to be under emx\bin, emx\dll, etc. */

parse arg target source

/* get additional parameters from environment */
product_log       = value("PRODUCT_LOG"      , ,"OS2ENVIRONMENT")
inst_dir          = value("INST_DIR"         , ,"OS2ENVIRONMENT")

/* exit if package does not exist */
if stream(inst_dir'\emx\dll\emx.dll', 'c', 'query exists') = '' then exit 9

/* copy files */
'xcopy 'inst_dir'\emx\bin\*  'target'\OS2\.      /H/T/O/R >> 'product_log
'xcopy 'inst_dir'\emx\dll\*  'target'\OS2\DLL\.  /H/T/O/R >> 'product_log
'xcopy 'inst_dir'\emx\book\* 'target'\OS2\BOOK\. /H/T/O/R >> 'product_log
'xcopy 'inst_dir'\emx\doc\*  'target'\OS2\HELP\. /H/T/O/R >> 'product_log

'copy 'inst_dir'\emx\etc\termcap.dat  'VALUE('ETC', ,'OS2ENVIRONMENT')'\.  >> 'product_log

exit
