/* Warp 4 update procedure */
/* Created: 11.17.2001     */

/* get minimal configuration */
rootdir = 'e:\updcd'

/* define library modules we need */
rexxlib.  = ''
rexxlib.1 = 'warp4.rlb'
rexxlib.2 = 'general.rlb'

/* load updcd library modules */
i = 1
j = 1
do while rexxlib.i <> ''
	rexxlib.i = rootdir'\lib\'rexxlib.i
	say 'Loading library file 'rexxlib.i'...'
	do while lines(rexxlib.i)
		line.j = linein(rexxlib.i)
		j = j+1
	end
	call lineout rexxlib.i
	i = i+1
end
line.0 = j-1

/* create rexx procedure */
say 'Creating REXX procedure...'
tmp = rootdir'\temp.cmd'
if stream(tmp, 'c', 'query exists') <> '' then '@del 'tmp
call lineout tmp, '/* This file is created by UpdCD. You may safely  */'
call lineout tmp, '/* delete it if UpdCD is not running.             */'
call lineout tmp, ''
do i=1 to line.0
	call lineout tmp, line.i
end
call lineout tmp

/* start program */
say 'Starting program...'
'call 'tmp

/* clean up */
'@del 'tmp

exit
